component_management:
  individual_components:
    - component_id: "Router"
      paths:
        - "router"
    - component_id: "LLMs"
      paths:
        - "*/llms/*"
    - component_id: "Caching"
      paths:
        - "*/caching/*"
        - ".*redis.*"
    - component_id: "litellm_logging"
      paths:
        - "*/integrations/*"
        - ".*litellm_logging.*"
    - component_id: "Proxy_Authentication"
      paths:
        - "*/proxy/auth/**"
comment:
  layout: "header, diff, flags, components"  # show component info in the PR comment

coverage:
  status:
    project:
      default:
        target: auto
        threshold: 1% # at maximum allow project coverage to drop by 1%
    patch:
      default:
        target: auto
        threshold: 0% # patch coverage should be 100%
